==============
Version  3.6.1
==============

- Translation updates

==============
Version  3.6.0
==============

- Translation updates

==============
Version  3.5.4
==============

- Don't use the GDK lock
- Only autostart in fallback mode
- Apply bg color setting later
- Only show panel on primary head

==============
Version  3.4.3
==============

- Revert only show panel on primary head commit.
  It is causing problems for users.
- Translation updates (Assamese)

==============
Version  3.4.2
==============

- Fix setting black color with recent GTK+
- Only show panel on primary head
- Translation updates (French)

==============
Version  3.4.1
==============

- Drop num lock warning
- Translation updates (Greek, Marathi, Hindi, Aragonese)

==============
Version  3.4.0
==============

- Translations updates (crh)

==============
Version  3.3.92
==============

- Fix fade when explicitly locking screen
- Translations updates (ko)

==============
Version  3.2.2
==============

- Fix --with-systemd=auto configure option
- Stop using deprecated GTK+ API
- Fix misleading debug messages referring to ConsoleKit
- Fix a compile warning when compiled with systemd
- Use correct signature for GetActiveTime D-Bus API
- Translation updates (Xhosa)
- Properly turn off caps lock warning

==============
Version  3.2.1
==============

- Optionally use systemd instead of ConsoleKit
- Always lock when asked
- Fade out quickly on explicit locks
- Allow arbitrary long idle times
- Fix background scaling on multi-monitor setups
- Implement OpenBSD authentication
- Translation updates (Burmese, Czech, Norwegian bokmål)

==============
Version  3.2.0
==============

- Translation updates (Gujarati, Telugu, Assamese, Lithuanian, Irish)

===============
Version  3.1.92
===============

- Use maintainer mode by default
- Fix the clock to actually update every minute
- Translation updates (Japanese)

===============
Version  3.1.91
===============

- Use GnomeWallClock to keep informed about time and timezone changes

===============
Version  3.1.90
===============

- Properly set background to black when cancelling unlock
- Drop the .pc file

==============
Version  3.1.5
==============

- Add back keyboard layout indicator
- Detect clock skew when resuming or ntp runs and compensate
- Fix crash in user switcher
- Drop libgnome-menu dependency
- Translation updates (Finnish, Thai, Polish, Turkish, Czech,
  Esperanto, Belarusian, Catalan (Valencian), Persian)

==============
Version  3.0.0
==============

- Remove inihibit APIs from the documentation
- Translation updates (Russian, Bulgarian, Vietnamese, Punjabi,
  Uighur, Brazilian Portuguese, Latvian, Simplified Chinese,
  Traditional Chinese, Basque, Japanese, Danish, Tamil, Czech,
  Dutch, Catalan, Bengali)

================
Version  2.91.92
================

- Store time values in seconds instead of minutes
- Don't monitor session settings
- Ensure the initial state of the clock is correct
- Remove dbus activation
- Remove daemonization
- Request shell exit overview when locking
- Translation updates ((Polish, Vietnamese, Brazilian Portuguese,
  Arabic, Dutch, Romanian, Africaans, Hungarian, Estonian, Slovenian,
  Portuguese, Hebrew, Norwegian bokmål, British English, German,
  Ukrainian, Swedish, Catalan, Serbian, Korean, French, Indonesian,
  Assamese)

================
Version  2.91.91
================

- Follow the users clock format preference
- Port to GDBus
- Build cleanups
- Remove --poke option from the commandline tool (didn't work anyway)
- Remove unused delay and timeout preferences
- Remove inhibit interface (inhibit the session instead)
- Remove theme and job support
- Update style to match gnome-shell
- Use accountsservice to get face
- Translation updates (Korean, Simplified Chinese,
  Norwegian bokmål, Latvian Oriya, Ukrainian, Russian)

===============
Version  2.91.90
===============

- Use username in top panel if real name is empty
- Various settings fixes
- Translation updates

===============
Version  2.91.4
===============

- Fix build against recent GTK+
- GNOME 3 style updates
- Translation updates

===============
Version  2.91.3
===============

- Fix build against recent GTK+
- Use GIO to launch gdmflexiserver
- Translation updates

===============
Version  2.91.2
===============

- Fix build against recent GTK+
- Port to GSettings

===============
Version  2.91.1
===============

- Fix build against recent GTK+ and gnome-desktop
- Port background handling to gsettings
- Translation updates

===============
Version  2.91.0
===============

 - Switch to GTK+ 3.0
 - Fix crash on systems that lack vidmode and randr extensions
 - Add session service activation file
 - Use better unicode symbols in strings
 - Drop "Leave a message" feature
 - Drop unlock dialog theme support
 - Drop support for non-PAM based authentication
 - Improve aesthetics of unlock dialog
 - Monitor hotplug fixes
 - Auto-activate screensaver when needed if not running
 - Translation updates

===============
Version  2.30.0
===============

Translation updates

===============
Version 2.29.92
===============

Fixed bugs:
 - Build fix for systems with x11 < 1.3

===============
Version 2.29.91
===============

Fixed bugs:
 - #609789 - CVE-2010-0422, handle monitor hotplugging more securely
 - Fix screen dirt in floaters screensaver

===============
Version 2.29.90
===============

Fixed bugs:
 - #609337, CVE-2010-0414, handle monitor removal more securely

===============
Version 2.29.1
===============

Fixed bugs:
 - #597874, Use xrandr 1.2 gamma fading
 - RH bug #546656, Fix crash in popsquares
 - #598476, Don't crash when lock dialog dies during shake
 - #593616, Fix multi-head issues
 - #600488, Remove session inhibitors if the originator falls of the bus


===============
Version 2.28.0
===============

Fixed bugs:

 - #444927, get idle time from xorg
 - #463010, Port gnome-screensaver from libglade to gtkbuilder
 - #564061, Install .desktop file
 - #570402, screensaver crash if number of screens changes
 - #570941, String not marked for translation gnome-screensaver-command.c
 - #574896, [Leave message] Cancel button should clean clipboard buffe
 - #576463, can't unlock screen after upgrade until restarting gnome-
            screensaver
 - #581995, Fade out doesn't properly fall back to gamma number if X server
            only supports 0-size ramp
 - #586174, Encoding key in desktop files is deprecated
 - #589728, gnome-screensaver: implicit declaration g_printf
 - #590776, screensaver is never activated
 - #591193, Update/Create .gitignore
 - #591194, Add Comment and Icon in gnome-screensaver.desktop
 - #594082, gnome-screensaver ignores input when fading to black

Translators:

- Khaled Hosny (ar)
- Amitakhya Phukan (as)
- Alexander Shopov (bg)
- Runa Bhattacharjee (bn_IN)
- Jamil Ahmed (bn)
- Denis ARNAUD (br)
- Carles Ferrando (ca@valencia)
- Petr Kovar (cz)
- Ask H. Larsen (da)
- Mario Blättermann, Christian Kirbach (de)
- Philip Withnall (en_GB)
- Jorge González (es)
- Ivar Smolin, Mattias Põldaru (et)
- Inaki Larranaga Murgoitio (eu)
- Tommi Vainikainen (fi)
- Claude Paroz (fr)
- Seán de Búrca (ga)
- Antón Méixome (gl)
- Sweta Kothari (gu)
- Yaron Shahrabani (he)
- Rajesh Ranjan (hi)
- Gabor Kelemen (hu)
- Luca Ferretti (it)
- Shankar Prasad (kn)
- Changwoo Ryu (ko)
- Gintautas Miliauskas (lt)
- Rajesh Ranjan (mai)
- Ani (ml)
- Sandeep Shedmake (mr)
- Kjartan Maraas (nb)
- Niels-Christoph Fiedler (nds)
- Manoj Kumar Giri (or)
- A S Alam (pa)
- Tomasz Dominikowski (pl)
- Rodrigo L. M. Flores, Krix Apolinário (pt_BR)
- Duarte Loreto (pt)
- Lucian Adrian Grijincu (ro)
- Matej Urbančič (sl)
- Miloš Popović (sr@latin)
- Miloš Popović (sr)
- Daniel Nylander (sv)
- ifelix (ta)
- krishnababu k (te)
- Theppitak Karoonboonyanan (th)
- Maxim V. Dziumanenko (uk)
- Chao-Hsiung Liao (zh_HK)
- Chao-Hsiung Liao (zh_TW)

===============
Version 2.27.0
===============

- Add an autostart file for gnome-screensaver (#585485)

Updated Translations: Telugu, Catalan, zh_CN, Crimean Tatar

===============
Version 2.26.1
===============

- Fixed #572955, audit GError usage (William Jon McCann)
- Fixed #572956, use g_strerror (William Jon McCann)
- Fixed #573495, logout_command setting may be overwritten with keyboard_command value (William Jon McCann)
- Fixed #577739, gnome-screensaver-gl-helper calls gdk_x11_visual_get_xvisual with NULL visual (William Jon McCann)
- Fixed #578669, Screenserver (William Jon McCann)

Translations:
- Updated crh: Reşat SABIQ
- Updated ja: Takeshi AIHANA
- Updated kn: Shankar Prasad

===============
Version 2.26.0
===============

- Remove power notice signal
- Rely on GNOME session idle detection
- Proxy g-s inhibitors over to the session
- Read status message from session
- Accept a full path for theme (Matthias Clasen)

===============
Version 2.25.2
===============

- Fix pixmap leak (Matthias Clasen)
- Fix dialog border width

===============
Version 2.25.1
===============

- Add bevel around dialog
- Fixed #444927, get idle time from xorg
- Fixed #492949, screensavers-personal-slideshow should not show hidden directories (Jörg)
- Fixed #530561, "Random" preview is always the last saver (Maxim Ermilov)
- Fixed #561855, Calls wrong slideshow binary if there is one installed in $PATH (Frederic Crozat)

Translations:
None

===============
Version 2.24.1
===============

- Fixed #555701, libgnome-desktop:gnome_bg_create_pixmap() leaks pixmaps and X clients (Scott Remnant)
- Fixed #451498, Preview of "Blank screen" is not consistent (Neil Patel)
- Fixed #552119, Add GTK and GNOME to screensaver desktop (William Jon McCann)
- Fixed #552523, Screensaver suddenly stopped working (William Jon McCann)
- Fixed #555254, gnome-screensaver-dialog NULL pointer crash (William Jon McCann)
- Fixed #555491, gnome-screensaver should release mouse/keyboard when failed to grab both of them (Joey Yu Zheng)
- Fixed #560456, Cleaning up GTK Includes in gnome-screensaver (Maxim Ermilov)

Translations:
- Updated ar: Djihed Afifi
- Updated ast: Andre Klapper, Astur
- Updated be@latin: Ihar Hračyška, Ihar Hrachyshka
- Updated pt_BR: Leonardo Ferreira Fontenelle, Vladimir Melo


===============
Version 2.24.0
===============

- Updated LINGUAS, sr@latin.po, sr@Latn: Arangel Angov
- Updated ar: Djihed Afifi, Khaled Hosny
- Updated bg: Alexander Shopov
- Updated bn_IN: Runa Bhattacharjee
- Updated ca: Gil Forcada
- Updated da: Kenneth Nielsen
- Updated de: Hendrik Richter
- Updated dz: Pema Geyleg, Dawa pemo
- Updated en_GB: Philip Withnall, David Lodge
- Updated et: Ivar Smolin
- Updated fr: Claude Paroz
- Updated ga: Seán de Búrca
- Updated hr: Robert Sedak, Ante Karamatić
- Updated hu: Gabor Kelemen
- Updated it: Luca Ferretti
- Updated kn: Shankar Prasad
- Updated ko: Changwoo Ryu
- Updated mk: Arangel Angov, Clytie Siddall <clytie@riverland.net.au>
- Updated ml: Praveen Arimbrathodiyil, പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
- Updated mr: Sandeep Shedmake
- Updated nl: Wouter Bolsterlee
- Updated pl: Wadim Dziedzic, wadim dziedzic
- Updated pt_BR: Vladimir Melo
- Updated ro: Mugurel Tudor, Mișu Moldovan
- Updated sr.po, sr@latin: Goran Rakić
- Updated ta: I. Felix
- Updated tr: Baris Cicek


===============
Version 2.23.90
===============

- use standard icon names (Matthias Clasen)
- Paint widget background color as face background color.
- Add/remove windows as necessary in response to RANDR 1.2 events
- Honor the disable_user_switching lockdown key.
- Fixed #547013, The dialog incorrectly tell that the numlock is on (William Jon McCann)

Translations:
- Updated LINGUAS, sr@latin.po, sr@Latn: Goran Rakic
- Updated ar: Khaled Hosny
- Updated cs: Petr Kovar
- Updated eu: Inaki Larranaga Murgoitio, Iñaki Larrañaga Murgoitio
- Updated fi: Ilkka Tuohela, Timo Jyrinki
- Updated gu: Daniel Nylander, Sweta Kothari
- Updated he: Yair Hershkovitz  <yairhr@gmail.com>, Yaniv Abir <yanivabir at gmail dot com>
- Updated ja: Takeshi AIHANA
- Updated lt: Gintautas Miliauskas
- Updated pt: Duarte Loreto
- Updated pt_BR: Vladimir Melo
- Updated sv: Daniel Nylander

Help Manual Translations:
None

===============
Version 2.23.3
===============

        * Fix build issue (Wouter Bolsterlee)
        * Add a simple frame around user icon
        * Add a new child widget to use for themes to draw on

===============
Version 2.23.2
===============

        * Fix gamma lost during fade
        * Show default desktop background behind lock dialog
        * Add reporting of inhibitors to --query command

===============
Version 2.22.2
===============

        * Add a 160 char limit to the message text box.

===============
Version 2.22.1
===============

       * Fix for bug 525785 – CVE-2008-0887

===============
Version 2.22.0
===============

  Translators

        - Updated oc: Yannig Marchegay
        - Updated ca: Gil Forcada
        - Updated eu: Inaki Larranaga Murgoitio, Djihed Afifi <djihed@gmail.com>
        - Updated as: Amitakhya Phukan
        - Updated ar: Artur Flinta, Djihed Afifi <djihed@gmail.com>
        - Updated cs: Petr Kovar, Clytie Siddall <clytie@riverland.net.au>
        - Updated et: Priit Laes  <plaes at svn dot gnome dot
        - Updated gl: Ignacio Casal Quinteiro
        - Updated es: Jorge Gonzalez, Djihed Afifi <djihed@gmail.com>
        - Updated bn_IN: Runa Bhattacharjee
        - Updated nl: Wouter Bolsterlee
        - Updated pt: Duarte Loreto
        - Updated nb: Kjartan Maraas
        - Updated tr: Baris Cicek
        - Updated ne: Pawan Chitrakar
        - Updated lt: Gintautas Miliauskas
        - Updated th: Theppitak Karoonboonyanan
        - Updated zh_TW: Taiwan
        - Updated en_GB: Philip Withnall
        - Updated be: Alexander Nyakhaychyk
        - Updated fr: Claude Paroz
        - Updated zh_HK: Hong Kong
        - Updated pt_BR: Leonardo Ferreira Fontenelle
        - Updated de: Andre Klapper
        - Updated hu: Gabor Kelemen
        - Updated fi: bug #518255, Ilkka Tuohela
        - Updated da: Kenneth Nielsen
        - Updated ja: Takeshi AIHANA
        - Updated he: Yair Hershkovitz  <yairhr@gmail.com>
        - Updated be@latin: Ihar Hrachyshka
        - Updated ko: Changwoo Ryu
        - Updated sv: Daniel Nylander
        - Updated mk: Arangel Angov, Ignacio Casal Quinteiro  <nacho.resa@gmail.com>, Clytie Siddall <clytie@riverland.net.au>
        - Updated sk: Marcel Telka
        - Updated pl: Artur Flinta
        - Updated uk: Maxim Dziumanenko
        - Updated mr: Rahul Bhalerao, mr

===============
Version 2.21.6
===============

        * New theme transfer progress dialog. (John Millikin)
        * Migrate gnome-vfs to GIO (John Millikin)
        * Set default action after cancelling note.

===============
Version 2.20.0
===============

  gnome-screensaver

        * Fixed #442853, Unlock dialog shows Switch User button when /apps/gnome-screensaver/user_switch_enabled is false (William Jon McCann)

  Translators

        * Updated el: Nikos Charonitakis
        * Updated vi: Clytie Siddall
        * Updated ca: Gil Forcada
        * Updated it: Luca Ferretti
        * Updated ar: Djihed Afifi <djihed@gmail.com>
        * Updated et: Priit Laes
        * Updated ru: Nickolay V. Shmyrev
        * Updated nl: Wouter Bolsterlee
        * Updated pt: Duarte Loreto
        * Updated nb: Kjartan Maraas
        * Updated tr: Baris Cicek
        * Updated lt: Gintautas Miliauskas
        * Updated ro: Mugurel Tudor
        * Updated ta: I. Felix
        * Updated fr: StÃ©phane Raimbault
        * Updated da: Kenneth Nielsen
        * Updated hu: Gabor Kelemen
        * Updated ja: Takeshi AIHANA
        * Updated ml: Ani Peter
        * Updated mk: Jovan Naumovski  <jovan@lugola.net>
+
        * Updated sk: Andre Klapper
        * Updated si: Danishka Navin
        * Updated uk: Maxim Dziumanenko



===============
Version 2.19.7
===============

  gnome-screensaver

        * Fixed #437225, Solaris needs additional libs linked with to build (William Jon McCann)
        * Fixed #463754, remove last dep on libgnome (Jani Monoses)
        * Initialize XWindowAttributes (Rodrigo Moya)
        * Improvements to slideshow (Frederic Crozat)

  Translators

        * Updated gu: Ankit Patel
        * Updated be@latin: Ihar Hrachyshka
        * Updated pt_BR: Leonardo Ferreira Fontenelle
        * Updated ml: Ani Peter
        * Updated de: Hendrik Richter
        * Updated ko: Changwoo Ryu
        * Updated sv: Daniel Nylander
        * Updated es: Jorge Gonzalez
        * Updated th: Theppitak Karoonboonyanan
        * Updated fi: Ilkka Tuohela
        * Updated eu: Inaki Larranaga Murgoitio
        * Updated et: Priit Laes
        * Updated te: Sunil Mohan Adapa
        * Updated ja: Takeshi AIHANA
        * Updated pl: Artur Flinta



===============
Version 2.19.6
===============

  gnome-screensaver

        * Fixed #327602, gnome-screensaver never propagates the environment to its helper dialog (William Jon McCann)
        * Fixed #456705, useless message on stdout (Bill Nottingham)
        * Fixed #461028, console-kit ActiveChanged (VC switch) does not trigger unlock request (Ian Jackson)
        * Fixed #461722, Add support to disable slideshow randomization (Frederic Crozat)
        * Fixed #461814, Allow to specify background color for image slideshow (Frederic Crozat)
        * Fixed #461824, remove libexif dependency (Frederic Crozat)

  Translators

        * Updated mn: Djihed Afifi <djihed@gmail.com>
        * Updated nl: Wouter Bolsterlee
        * Updated be@latin: Ihar Hrachyshka
        * Updated vi: Nguyá»n ThÃ¡i Ngá»c Duy, Clytie Siddall
        * Updated nb: Kjartan Maraas
        * Updated de: Andre Klapper
        * Updated sv: Daniel Nylander
        * Updated mk: Daniel Nylander
        * Updated hu: Gabor Kelemen
        * Updated lv: Daniel Nylander, Djihed Afifi <djihed@gmail.com>
        * Updated si: I. Felix, si
        * Updated en_GB: David Lodge
        * Updated dz: Pema Geyleg
        * Updated pl: Artur Flinta
        * Updated th: Theppitak Karoonboonyanan
        * Updated fi: Ilkka Tuohela
        * Updated et: Priit Laes
        * Updated ja: Takeshi AIHANA
        * Updated es: Jorge Gonzalez
        * Updated ta: I. Felix, I Felix



===============
Version 2.19.5
===============

  gnome-screensaver

        * Fixed #331515, No translation for themes in command line help (William Jon McCann)
        * Fixed #354663, lock dialog not visible when using nvidia clone (William Jon McCann)
        * Fixed #434712, gnome-screensaver crashes without dbus system bus (William Jon McCann)
        * Fixed #436818, replace gnome_help_display (William Jon McCann)
        * Fixed #445443, Screensaver deactivation is not correct (William Jon McCann)

  Translators

        * Updated be@latin: Ihar Hrachyshka
        * Updated vi: Nguyá»n ThÃ¡i Ngá»c Duy, Clytie Siddall
        * Updated nb: Kjartan Maraas
        * Updated sv: Daniel Nylander
        * Updated lv: Daniel Nylander
        * Updated si: I. Felix, si
        * Updated en_GB: David Lodge
        * Updated dz: Pema Geyleg
        * Updated es: Jorge Gonzalez
        * Updated th: Theppitak Karoonboonyanan
        * Updated et: Priit Laes
        * Updated pl: Artur Flinta
        * Updated ta: I Felix


===============
Version 2.19.1
===============

  gnome-screensaver

        * Fixed #384509, gnome-screensaver could allow users to leave notes when screen is locked (William Jon McCann)
        * Fixed #411252, Use xdg-user-dirs to find pictures directory (William Jon McCann)
        * Fixed #428199, Make fast-user-switching work with gdm configurations involving multiple X servers (William Jon McCann)


===============
Version 2.18.1
===============

  gnome-screensaver

        * Fixed #424165, power management button should reflect g-p-m status (William Jon McCann)
        * Fixed #425550, gnome-screensaver should probably require mouse grab to lock (Ray Strode)

  Translators

        * Updated zh_CN: Funda Wang
        * Updated ca: Josep Puigdemont i CasamajÃ³
        * Updated da: Peter Bach
        * Updated lv: Raivis Dejus
        * Updated sl: Matic Zgur
        * Updated eu: Inaki Larranaga Murgoitio
        * Updated gl: Ignacio Casal Quinteiro


===============
Version 2.18.0
===============

  gnome-screensaver

        * Fixed #412486, gnome-screensaver doesn't work with xnest (William Lachance)
        * Fixed #412492, gnome-screensaver won't build
        * Fixed #417323, build from trunk fails; undefined reference to pango symbols (Elijah Newren)
        * Fixed #417538, unapproved change broke theme management (William Jon McCann)

  Translators

        * Updated ru: Nickolay V. Shmyrev
        * Updated gu: Ankit Patel
        * Updated zh_HK.po, zh_TW: Abel Cheung
        * Updated it: Luca Ferretti
        * Updated mk: Jovan Naumovski  <jovan@lugola.net>
+
        * Updated lt: Gintautas Miliauskas
        * Updated ar: Djihed Afifi <djihed@gmail.com>
        * Updated dz: Pema Geyleg
        * Updated pl: Artur Flinta
        * Updated he: Yair Hershkovitz



===============
Version 2.17.8
===============

  gnome-screensaver

        * Fixed #400579, gnome-screensaver fails to compile against openpam (Ray Strode)
        * Fixed #407524, Freeze on unlock screen (William Jon McCann)
        * Fixed #407964, direct fast user switching (William Jon McCann)
        * Fixed #411393, 'switch user' button needs to turn inactive on selection (William Jon McCann)
        * Set ConsoleKit idle-hint state

  Translators

        * Updated bg: Alexander Shopov
        * Updated pt: Duarte Loreto
        * Updated ko: Changwoo Ryu
        * Updated hu: Gabor Kelemen
        * Updated lt: Gintautas Miliauskas
        * Updated uk: Maxim Dziumanenko
        * Updated fi: Ilkka Tuohela
        * Updated ja: Takeshi AIHANA
        * Updated pl: Artur Flinta



===============
Version 2.17.7
===============

  gnome-screensaver

        * #402183, use gdm socket command to start a login procedure when available (Matthias Clasen)
        * #403936, Specifically block shaping the window (William Jon McCann)
        * Sync FUSA code with upstream

  Translators

        * Updated fr: StÃ©phane Raimbault
        * Updated nl: Wouter Bolsterlee
        * Updated ca: Josep Puigdemont i CasamajÃ³
        * Updated pt_BR: Leonardo Ferreira Fontenelle
        * Updated da: Lasse Bang Mikkelsen


===============
Version 2.17.6
===============

  gnome-screensaver

        * Categorize preferences for the control center (Denis Washington)

  Translators

        * Updated nb: Kjartan Maraas
        * Updated ca: Josep Puigdemont i Casamajó

===============
Version 2.17.5
===============

  gnome-screensaver

        * Fix some PAM threading issues
        * Fixed #387572, auth hangs when password is expired
        * Fixed #392780, Pass DBUS_SESSION_BUS_ADDRESS into hack environment

  Translators

        * Updated lv: Raivis Dejus
        * Updated et: Priit Laes
        * Updated ar: Djihed Afifi <djihed@gmail.com>
        * Updated en_GB: British
        * Updated vi: Clytie Siddall


===============
Version 2.17.4
===============

  gnome-screensaver

        * Fix non-ramp gamma fading
        * Add script to help debugging
        * Be sure to initialize threading

  Themes

        * (slideshow) Check for empty file list

  Translators

        * Khaled Hosny (ar)
        * Francisco Javier F. Serrador (es)
        * Kjartan Maraas (nb)
        * Theppitak Karoonboonyanan (th)

===============
Version 2.17.3
===============

  gnome-screensaver

        * Convert PAM messages to UTF-8 (Ray Strode)
        * Make PAM authentication async (Ray Strode)

  Translators

        * Ivar Smolin (et)
        * Daniel Nylander (sv)

===============
Version 2.17.2
===============

  gnome-screensaver

        * Remove the pointer polling
        * Add a keyboard layout indicator (Sergey Udaltsov)
        * Only notice mouse motion of 10% of screen width (Thomas Andersen)
        * Add SessionPowerManagementIdleChanged D-Bus signal
        * Add GetInhibitors D-Bus method

  gnome-screensaver-preferences

        * Add a button to launch the power management preferences

  gnome-screensaver-command

        * Add option to how long screensaver was active (Patrick McLean)

  Translators

        * Francisco Javier F. Serrador (es)
        * Ivar Smolin (et)
        * Ilkka Tuohela (fi)
        * Ankit Patel (gu)
        * Jovan Naumovski (mk)
        * Kjartan Maraas (nb)

===============
Version 2.17.1
===============

  gnome-screensaver

        * Don't poll in dialog

  gnome-screensaver-preferences

        * Don't show expander column

  Translators

        * Gil Forcada (ca)
        * Jakub Friedl (cs)
        * Ivar Smolin (et)
        * Ignacio Casal Quinteiro (gl)

===============
Version 2.16.1
===============

  gnome-screensaver

        * Set the correct value of DISPLAY for the gl helper
        * Don't queue keys that may cause focus navigation (Bruno Boaventura)

  gnome-screensaver-preferences

        * Don't explicitly set icon sizes in preview bar (Dimitur Kirov)

  Translators

        * David Lodge (en_GB)
        * Ivar Smolin (et)
        * Rajesh Ranjan (hi)
        * Luca Ferretti (it)
        * Satoru SATOH (ja)
        * Leonardo Ferreira Fontenelle (pt_BR)

===============
Version 2.16.0
===============

  Translators

        * Kostas Papadimas (el)
        * Iñaki Larrañaga Murgoitio (eu)
        * Meelad Zakaria (fa)
        * Robert-André Mauchin (fr)
        * Rajesh Ranjan (hi)
        * Gabor Kelemen (hu)
        * Gintautas Miliauskas (lt)
        * Raivis Dejus (lv)
        * Jovan Naumovski (mk)
        * Subhransu Behera (or)
        * Duarte Loreto (pt)
        * Matic %GÅ½%@gur (sl)
        * Theppitak Karoonboonyanan (th)
        * Deniz Koçak (tr)
        * Ching-Hung Lin (zh_HK)
        * Ching-Hung Lin (zh_TW)

===============
Version 2.15.7
===============

  Translators

        * Rostislav \"zbrox\" Raykov (bg)
        * Gil Forcada (ca)
        * Hendrik Richter (de)
        * Ivar Smolin (et)
        * Ilkka Tuohela (fi)
        * Ankit Patel (gu)
        * Gabor Kelemen (hu)
        * Satoru SATOH (ja)
        * Vladimer Sichinava (ka)
        * Changwoo Ryu (ko)
        * rizoye-xerzi (ku)
        * Ani Peter (ml)
        * Badral (mn)
        * Wouter Bolsterlee (nl)
        * Subhransu Behera (or)
        * Leonid Kanter (ru)
        * Daniel Nylander (sv)
        * Maxim V. Dziumanenko (uk)
        * Clytie Siddall (vi)

===============
Version 2.15.6
===============

  gnome-screensaver

        * Support drag-n-drop of themes to preferences dialog
        * Add support for embedding a keyboard in window
        * More memory usage reduction
        * Only allow a small number of queued key events

  Translators

        * Francisco Javier F. Serrador (es)
        * Ivar Smolin (et)
        * Ilkka Tuohela (fi)
        * Christophe Merlet (RedFox) (fr)
        * Ankit Patel (gu)
        * ahmad riza h nst (id)
        * %GÅ½%@ygimantas Beru%GÄ%@ka (lt)
        * Jovan Naumovski (mk)
        * Kjartan Maraas (nb)
        * Matic %GÅ½%@gur (sl)
        * Theppitak Karoonboonyanan (th)

===============
Version 2.15.5
===============

  gnome-screensaver

        * Turn off themes when screen is not visible
        * Make the unlock dialog show on correct window under Xinerama
        * Prevent theme flickering from watchdog timer
        * Listen for HAL coffee key events
        * Ignore brightness key events

  gnome-screensaver-preferences

        * Populate themes list in an idle after startup

  Translators

        * Mahay Alam Khan (bn_IN)
        * Gil Forcada (ca)
        * Jakub Friedl (cs)
        * Hendrik Richter (de)
        * Kostas Papadimas (el)
        * Francisco Javier F. Serrador (es)
        * Priit Laes (et)
        * Ankit Patel (gu)
        * Rajesh Ranjan (hi)
        * Changwoo Ryu (ko)
        * Fano Rajaonarisoa (mg)
        * Daniel Nylander (sv)
        * Theppitak Karoonboonyanan (th)

===============
Version 2.15.4
===============

  gnome-screensaver

        * Override gtk+ theme background style
        * Use helper command to get best GL visual
        * Add a blocking inhibit option to the command-line tool
        * Add short options to the command-line tool
        * Misc memory reduction

  Translators

        * Rostislav \"zbrox\" Raykov (bg)
        * Mahay Alam Khan (bn_IN)
        * Jakub Friedl (cs)
        * Hendrik Richter (de)
        * Francisco Javier F. Serrador (es)
        * Ilkka Tuohela (fi)
        * Robert-André Mauchin (fr)
        * Ignacio Casal Quinteiro (gl)
        * Ankit Patel (gu)
        * Yaniv Abir (he)
        * Rajesh Ranjan (hi)
        * Raivis Dejus (lv)
        * Jovan Naumovski (mk)
        * Kjartan Maraas (nb)
        * Shyam Krishna Bal (ne)
        * Daniel Nylander (sv)
        * Felix (ta)
        * Theppitak Karoonboonyanan (th)

===============
Version 2.15.3
===============

  gnome-screensaver

        * Fully support PAM driving the unlock dialog
        * Only support one auth backend configured at build time
        * Don't try to unlock using root's password
        * DBUS API changes based on XDG feedback
        * Add docbook documentation (Richard Hughes)
        * Use replacable tokens in the lock dialog theme glade file
        * Set lock flag before activating (Rodrigo Moya)
        * Fix support for RUNNING_UNDER_GDM environment variable
        * Increase minimum distance the mouse must move to detect motion
        * Add theme engine profiling support
        * Switch user when double clicking in treeview
        * Don't reset throttle when deactivating
        * Try to grab keyboard before doing idle notice fade-out
        * Make activation wait for fade to complete.

  gnome-screensaver-preferences

        * Print a warning that locking is disabled when running as root

  Themes

        * (slideshow) Performance improvements (L. David Baron)

  Translators

        * Jakub Friedl (cs)
        * Francisco Javier F. Serrador (es)
        * Ankit Patel (gu)
        * Kjartan Maraas (nb)
        * Theppitak Karoonboonyanan (th)
        * Clytie Siddall (vi)

===============
Version 2.15.2
===============

  gnome-screensaver

        * Sync with FUSA code (fixes GDM configuration)
        * Make cancel close the unlock dialog
        * Make button presses and scroll events request an unlock
        * Send DBUS signals before/after authentication is requested
        * Various fixes for async fade out
        * Fix potential crasher when poked while fading
        * Support short username in themed dialog (Matthias Clasen)

  Themes

        * (popsquares) Fix crash when window is NULL (Joe Marcus Clarke)

  Translators

        * Francisco Javier F. Serrador (es)
        * Ignacio Casal Quinteiro (gl)
        * Ankit Patel (gu)
        * Kjartan Maraas (nb)
        * Chao-Hsiung Liao (zh_HK)
        * Chao-Hsiung Liao (zh_TW)

===============
Version 2.15.1
===============

  gnome-screensaver

        * Add support for theming the lock dialog
        * Use OpenGL to get the best visual and use it
        * Shorten mouse poll interval
        * New DBUS API for throttle and inhibit
        * Support themes in all XDG dirs (including $HOME)
        * Make caps-lock warning more accurate

  gnome-screensaver-preferences

        * Add fullscreen preview
        * Update wording

  Translators

        * Priit Laes (et)
        * Ilkka Tuohela (fi)
        * Ignacio Casal Quinteiro (gl)
        * Ankit Patel (gu)
        * Clytie Siddall (vi)

===============
Version 2.14.1
===============

  gnome-screensaver

        * Detect button press activity (Ray Strode)
        * Make operation after system suspend (Ray Strode)
        * Cygwin build fix
        * Use GTimer for portability
        * Obtain new Kerberos credentials when unlocking screen

  Themes

        * (floaters) Use the entire screen at start

  Translators

        * Lukas Novotny (cs)
        * Ivar Smolin (et)
        * BenoÃ®t Dejean (fr)
        * Wouter Bolsterlee (nl)
        * Andrzej PolatyÅski (pl)
        * Theppitak Karoonboonyanan (th)
        * Clytie Siddall (vi)

===============
Version 2.14.0
===============

  gnome-screensaver

        * Removed unused GConf keys from schemas
        * Don't queue keypad enter keypresses
        * Use black circle as invisible character in password entry

  Translators

        * Rostislav \"zbrox\" Raykov (bg)
        * Mahay Alam Khan (bn)
        * Gil Forcada (ca)
        * Petr TomeÅ¡ (cs)
        * Rhys Jones (cy)
        * David Nielsen (da)
        * Frank Arnold (de)
        * Ivar Smolin (et)
        * Rajesh Ranjan (hi)
        * Luca Ferretti (it)
        * Young-Ho Cha (ko)
        * Kjartan Maraas (nb)
        * Kjartan Maraas (no)
        * Raphael Higino (pt_BR)
        * Duarte Loreto (pt)
        * Laurent Dhima (sq)
        * Daniel Nylander (sv)
        * Maxim V. Dziumanenko (uk)

===============
Version 2.13.92
===============

  gnome-screensaver

        * Fix problems when some other program has keyboard grabbed
        * Add a pkg-config file for out of tree themes
        * Use a black bullet character instead of * for password entry
        * Capitalize DBUS method names that weren't already

  gnome-screensaver-preferences

        * Track gconf key changes for themes

  Translators

        * Kostas Papadimas (el)
        * Francisco Javier F. Serrador (es)
        * Ilkka Tuohela (fi)
        * Ignacio Casal Quinteiro (gl)
        * Ankit Patel (gu)
        * Gabor Kelemen (hu)
        * Luca Ferretti (it)
        * Satoru SATOH (ja)
        * Vladimer SIchinava (ka)
        * Hyun-Jin Moon (ko)
        * Å½ygimantas BeruÄka (lt)
        * Kjartan Maraas (nb)
        * Tino Meinen (nl)
        * Kjartan Maraas (no)
        * Raphael Higino (pt_BR)
        * Leonid Kanter (ru)
        * Theppitak Karoonboonyanan (th)
        * Clytie Siddall (vi)

===============
Version 2.13.91
===============

  gnome-screensaver

        * Maintain a pointer grab unless the unlock dialog is up
        * Convert the real and user names to UTF8
        * Use G_GUINT32_FORMAT for communicating XID
        * Start themes after grabbing window
        * Handle broken grabs
        * Don't abort when fade isn't available
        * Display host name in unlock dialog

  gnome-screensaver-preferences

        * Add help
        * Don't make heading bold or indent under it

  Themes

        * (floaters) More performance work (Ray Strode)

  Translators

        * Gil Forcada (ca)
        * Lukas Novotny (cs)
        * Å½ygimantas BeruÄka (lt)
        * Ãivind Hoel (nb)

===============
Version 2.13.90
===============

  gnome-screensaver

        * Ignore our windows when watching for map and configure events
        * Clear window after showing to prevent flashing
        * Don't start child processes in home directory

  themes

        * (floaters) Cap update rate (Ray Strode)

  Translators

        * Rostislav \"zbrox\" Raykov (bg)
        * Hendrik Brandt (de)
        * Ilkka Tuohela (fi)
        * Ignacio Casal Quinteiro (gl)
        * Ankit Patel (gu)
        * Tino Meinen (nl)
        * Theppitak Karoonboonyanan (th)
        * Chao-Hsiung Liao (zh_HK)
        * Chao-Hsiung Liao (zh_TW)

==============
Version 2.13.5
==============

  gnome-screensaver

        * Move DPMS functionality to gnome-power-manager
        * Rename the DBUS interface from screensaver to ScreenSaver
        * Disable the X.org grab smasher
        * Don't do the slow fade if we are inhibited
        * Fix screen flashing after idle activation

  gnome-screensaver-preferences

        * Rework dialog for setting session idle timeout
        * Remove unused help button

  Translators

        * Rostislav \"zbrox\" Raykov (bg)
        * Adam Weinberger (en_CA)
        * Francisco Javier F. Serrador (es)
        * Ilkka Tuohela (fi)
        * Ignacio Casal Quinteiro (gl)
        * Takeshi AIHANA (ja)
        * Tino Meinen (nl)
        * Clytie Siddall (vi)
        * Abel Cheung (zh_HK)
        * Abel Cheung (zh_TW)

==============
Version 0.0.24
==============

  gnome-screensaver

        * Add proper session idle reporting
        * Clear all children of toplevel windows

  Translators

        * Josep Puigdemont i CasamajÃ³ (ca)
        * Adam Weinberger (en_CA)
        * Francisco Javier F. Serrador (es)
        * Ilkka Tuohela (fi)
        * Ankit Patel (gu)
        * Å½ygimantas BeruÄka (lt)
        * Tino Meinen (nl)
        * Ð¡Ð»Ð¾Ð±Ð¾Ð´Ð°Ð½ Ð. Ð¡ÑÐµÐ´Ð¾ÑÐµÐ²Ð¸Ñ (sr)
        * Theppitak Karoonboonyanan (th)
        * Clytie Siddall (vi)

==============
Version 0.0.23
==============

  gnome-screensaver

        * Fix idle warning cancellation
        * Changes to D-Bus API
        * Add --debug command line option
        * Build fix when DPMS disabled

  themes

        * (floaters) New theme engine (Ray Strode et al)

  Translators

        * Francisco Javier F. Serrador (es)
        * Ignacio Casal Quinteiro (gl)
        * Ankit Patel (gu)
        * Takeshi AIHANA (ja)
        * Theppitak Karoonboonyanan (th)

==============
Version 0.0.22
==============

  gnome-screensaver

        * Don't mess up event mask for root window.

  Translators

        * Miloslav Trmac (cs)
        * Gabor Kelemen (hu)
        * Kjartan Maraas (nb)
        * Kjartan Maraas (no)

==============
Version 0.0.21
==============

  gnome-screensaver

        * Try to prevent popups over screensaver window
        * Use an interruptable slow fade before idle activation

  Translators

        * Rostislav \"zbrox\" Raykov (bg)
        * Ilkka Tuohela (fi)
        * Ãygimantas BeruÃka (lt)
        * Amanpreet Singh Alam (pa)
        * Marcel Telka (sk)
        * Theppitak Karoonboonyanan (th)

==============
Version 0.0.20
==============

  gnome-screensaver

        * Fix blanking when running under Xnest

==============
Version 0.0.19
==============

  gnome-screensaver

        * Allow trying password after auth failure
        * Allow more space for user list
        * Make unlock dialog centered vertically
        * Use OverrideRedirect windows
        * Sync with latest FUSA version
        * Add test for window/dialog subsystem
        * Fix leaking of signal handlers
        * Misc correctness fixes

  Translators

        * Adam Weinberger (en_CA)
        * Francisco Javier F. Serrador (es)
        * Davy Defaud (fr)
        * Takeshi AIHANA (ja)
        * Ãygimantas Beruka (lt)

==============
Version 0.0.18
==============

  gnome-screensaver

        * UI tweaks for unlock dialog
        * Fix Intel compiler warnings (Kjartan Maraas)
        * Do more error checking of GConf input
        * Check for command parsing errors
        * Fix leaks
        * Redesign the idle watcher and fix leaks
        * Solaris build fixes (Damien Carbery)

  gnome-screensaver-preferences

        * Make lock toggle work again

  Translators

        * Miloslav Trmac (cs)
        * Adam Weinberger (en_CA)
        * Francisco Javier F. Serrador (es)
        * Davy Defaud (fr)
        * Gabor Kelemen (hu)
        * Takeshi AIHANA (ja)
        * Tino Meinen (nl)

==============
Version 0.0.17
==============

  gnome-screensaver

        * Restart idle watch if can't grab keyboard
        * Make timeout in preferences work again
        * Daemonize process by default
        * Add option --no-daemon
        * Don't use any icon if face image is not found

  Translators

        * Adam Weinberger (en_CA)
        * Kjartan Maraas (nb)
        * Kjartan Maraas (no)

==============
Version 0.0.16
==============

  gnome-screensaver

        * Shake the dialog when authentication fails
        * Maintain nicer aspect ratio on unlock dialog
        * Only notice motion of 10 pixels or more
        * Periodically raise windows
        * Don't emit duplicate response signals from dialog
        * Make dialog buttons insensitive when input isn't allowed
        * Add a gconf setting for the logout command

  themes

        * (slideshow) Skip thumbnail images

  Translators

        * Rostislav \"zbrox\" Raykov (bg)
        * Adam Weinberger (en_CA)
        * Francisco Javier F. Serrador (es)
        * Takeshi AIHANA (ja)
        * Tino Meinen (nl)
        * Funda Wang (zh_CN)

==============
Version 0.0.15
==============

  gnome-screensaver

        * First version with working power management
        * Add Gamma fade out
        * Don't forward first enter or space to unlock dialog
        * Make poke command work when screen is blanked
        * Add getIdleTime dbus method
        * Translation fixes

  themes

        * (slideshow) Optionally use EXIF info to rotate images
                (torkel@acc.umu.se)

  Translators

        * Rostislav \"zbrox\" Raykov (bg)
        * Miloslav Trmac (cs)
        * Adam Weinberger (en_CA)
        * ÃÂ½ygimantas BeruÃka (lt)
        * Kjartan Maraas (nb)
        * Tino Meinen (nl)
        * Kjartan Maraas (no)

==============
Version 0.0.14
==============

  gnome-screensaver

        * Don't drop keypresses before unlock dialog appears
        * Use .desktop files and menu spec to find themes
        * Simplify unlock dialog
        * Make user switching a gconf option (Matthias Clasen)
        * Make user switching disabled by default
        * Fix a crash due to a missing error handler

  gnome-screensaver-preferences

        * Use new themes API that will theme list to be
          modified by distro/sysadmin/user.

  Translators

        * Ilkka Tuohela (fi)
        * Luca Ferretti (it)
        * Takeshi AIHANA (ja)
        * Tino Meinen (nl)
        * Clytie Siddall (vi)

==============
Version 0.0.13
==============

  gnome-screensaver

        * Fix problem when starting GNOME from KDM
        * Only look for theme files that end in .xml
        * Look for xscreensaver themes in a few more places

==============
Version 0.0.12
==============

  gnome-screensaver

        * Fix crasher caused by destroying NULL hash table
        * Don't activate after last inhibitor is removed

  Translators

        * Adam Weinberger (en_CA)

==============
Version 0.0.11
==============

  gnome-screensaver

        * Make unlock dialog show more quickly
        * Support the gconf cycle timeout key
        * Add system name to unlock dialog

  gnome-screensaver-preferences

        * Add random theme (Rodrigo)

  Translators

        * Francisco Javier F. Serrador (es)
        * Tino Meinen (nl)
        * Clytie Siddall (vi)

==============
Version 0.0.10
==============

  gnome-screensaver

        * Fix hang on system resume
        * Actually use the gconf lock key
        * Add configure option to look for xscreensaver hacks (Rodrigo)

  gnome-screensaver-preferences

        * Add checkbox to enable/disable locking (Rodrigo)
        * Make type ahead find work correctly
        * HIG fixes (Dennis Cranston)

  Translators

        * Adam Weinberger (en_CA)
        * Eric Maeker (fr)
        * Takeshi AIHANA (ja)
        * Clytie Siddall (vi)

=============
Version 0.0.9
=============

  gnome-screensaver

        * Added slideshow theme engine
        * Display username if real name is unknown (Rodrigo)

  themes

        * Added personal slideshow theme
        * Added cosmos slideshow theme

  Translators

        * Rostislav \"zbrox\" Raykov (bg)
        * Tommi Vainikainen (fi)
        * Maxim V. Dziumanenko (uk)

=============
Version 0.0.8
=============

  gnome-screensaver

        * Add Dbus API for inhibiting the idle activation
        * Integrate fast-user-switching directly into the unlock dialog.
        * Restart unlock dialog timer after every keystroke
        * Fix leaks
        * Fix xauth problems for some displays

  Translators

        * Adam Weinberger (en_CA)
        * Takeshi AIHANA (ja)
        * Tino Meinen (nl)
        * Abel Cheung (zh_TW)

=============
Version 0.0.7
=============

  gnome-screensaver

        * Fix authentication on SuSE/Novell
        * Automatically find the SuSE/Novell gdm.conf file
        * Don't require the gdm.conf file to exist at build time
        * Actually ship the translations
        * Fix crash in popsquares
        * Reset throttle value after deactivation

  Translators

        * Hendrik Richter (de)
        * Adam Weinberger (en_CA)
        * Takeshi AIHANA (ja)
        * Christian Rose (sv)

=============
Version 0.0.6
=============

  gnome-screensaver

        * Added Multi-head/Xinerama support
        * Added screensaver throttle capability
        * Depend on dbus >= 0.3
        * Use property based dbus methods/signals
        * Fix Solaris build
        * Install own PAM configuration instead of relying on xscreensaver
        * Add ability to disable 'New Login' button

  gnome-screensaver-preferences

        * Support drag and drop of theme configuration files
        * Display a nicer form of the activation time value

  Translators

        * Frank Arnold (de)
        * Adam Weinberger (en_CA)
        * James Ogley (en_GB)
        * Francisco Javier F. Serrador (es)
        * Raphael Higino (pt_BR)
        * Christian Rose (sv)
        * Funda Wang (zh_CN)

=============
Version 0.0.5
=============

  gnome-screensaver

        * Support user themes in USER_DATA_DIR/gnome-screensaver/themes/
        * Send activation/deactivation signals on session message bus
        * Added DPMS support
        * Added xscreensaver compatible XML configuration for themes
        * Add optional logout button after a specified amount of time
        * Fix leaking of file descriptors

  gnome-screensaver-preferences

        * Added configuration applet
        * Use screensaver icon

  themes

        * Added version of popsquares that follows GNOME theme
